Logic express 9 with Mac os lion

Discussion in 'MacBook Air' started by mgs4, Nov 11, 2011.

  1. macrumors newbie

    mgs4

    Joined:
    Jul 11, 2011
    #1
    Hey guys,
    I looked online for quite a while and couldn't find an answer - i recently got a new 2011 macbook air, and seeing as my old logic studio won't work on it, i'm going to buy logic express 9. Apple says it's compatible with lion, but with the logic express 9.1.5 update. So what if my macbook says it won't work with lion, or should i install the logic update first?
    Sorry if it's a noob question.

    Thanks in advance,

    Ralph (mgs4)
     

Share This Page